Skip to main content
GET
GetCheckoutCartInfo (Global-e to Merchant)
Part of the Checkout Cart Information (from Global‑e) integration guide — see it for when and how to use this endpoint.

Query Parameters

countryCode
string

2-char ISO code for the country to which shipped

currencyCode
string

3-char currency code for the country to which shipped

merchantCartToken
string

Identifier used for the cart by the Merchant’s site

Response

200 - application/json

Returns all cart contents, including customer information for logged-in customers.

The response body returned by GetCheckoutCartInfo — a CheckoutCartInfo object whose properties (cart products, discounts, and customer details) are serialized at the root of the response (not wrapped under a CheckoutCartInfo property).

productsList
Product · object[]
required

List of Product objects (specified in the request body)

allowMailsFromMerchant
boolean

Indicates if the end customer’s consent to receive emails from merchants should be pre-selected in the Global‑e Checkout. TRUE - Customer consents to receive emails. FALSE - Customer does not consent to receive emails.

billingDetails
UserDetails · object

Billing details of a registered user (if available on the Merchant’s site). If the userDetails property mentioned below is specified, then billingDetails will be ignored.

clientIP
string

The end customer’s IP address

CountryCode
string

2-char ISO country code of the shipping country either pre-defined using geo-location or actively selected by the end customer. This may be different from shippingDetails.CountryCode denoting the registered user’s country.

cultureCode
string

ISO culture code. If specified, the textual properties will be returned in the requested culture’s language if available. Texts in English will be returned by default.

currencyCode
string

3-char ISO currency code denoting the end customer’s currency. If not specified, the Merchant’s default currency will be assumed by default.

discountsList
Discounts · object[]

List of JSON-serialized Discounts to be applied to the cart. Discounts of any type (“cart”, “shipping”, etc.) may be specified.

doNotChargeVAT
boolean

Indicates if the end customer must not be charged VAT. This is usually set to TRUE for registered users who have validated their business entity’s VAT Registration Number with the merchant and are therefore VAT exempted.

freeShippingCouponCode
string

Merchant’s free shipping coupon code applied by the end customer. Max length: 50.

hubID
number

Identifier of the Global‑e’s Local Hub previously returned by API. If not specified, the default Merchant’s Hub will be used instead.

IncludeVAT
number

Optional for the merchants not supporting browsing integration. The value is returned from CountryCoefficients API.

isFreeShipping
boolean

Indicates if the Merchant offers free international shipping to the end customer.

loyaltyCode
string

The loyalty code specified by the end customer (or read from the end customer’s account) on the Merchant’s site.

LoyaltyPoints
LoyaltyPoints · object

LoyaltyPoints contains data about the registered user for applying loyalty points on the Checkout page.

loyaltyPointsEarned
number

The number of loyalty points to be earned for this purchase by the end customer on the Merchant’s site.

loyaltyPointsSpent
number

The number of loyalty points to be spent for this purchase by the end customer on the Merchant’s site.

loyaltyPointsTotal
number

The total number of loyalty points currently available in the end customer’s user account on the Merchant’s site.

merchantCartHash
string

A hash may be optionally generated by the merchant and returned to the merchant with an order API call. This hash may be used for additional cart and order validation purposes on the Merchant’s side. No max length.

MerchantOrderId
string

The merchant order id, if it is already known, at the point when the user is still in the cart page on the merchant’s store.

originalCurrencyCode
string

3-char ISO currency code denoting the original currency on the Merchant’s site (before applying country coefficient and FX conversion). If not specified, the Merchant’s default currency will be assumed by default.

otVoucherAmount
number

Amount of the one-time voucher in otVoucherCurrencyCode currency.

otVoucherCode
string

One-time voucher code for the cart (for applicable platforms).

otVoucherCurrencyCode
string

One-time voucher currency used for the amount.

paymentInstallments
string

List of available payment instalment amounts. For example: {2,4,6,8} – This indicates that we should allow instalmentsin 2, 4, 6 or 8 instalment options (to be selected by the customer).

rateData
string

Currency data is used by Global-e to verify the currency rate and to return the value received in the used currency rate. Optional; irrelevant for the GetCheckoutCartInfo response.

shippingDetails
UserDetails · object

Shipping details of a registered user (if available on the Merchant’s site). If the userDetails property is specified, then the shippingDetails will be ignored. If countryCode is not specified, the shipping country must be specified in shippingDetails.CountryCode property. If not specified neither in the countryCode argument nor in shippingDetails.CountryCode property, clientIP argument defined above becomes mandatory and will be used to determine the end user’s shipping country by Global‑e system.

shippingOptionsList
ShippingOption · object[]

List of JSON-serialized Shipping Options available for local shipping of the order from the Merchant to Global‑e’s Local Hub previously returned by ActiveHubDetails API. If the Global-e integration shipping API has been created and enabled for Global‑e on the Merchant’s site, Global‑e will prefer this Shipping Option when posting the order back to the Merchant’s site (using SendOrderToMerchant API). Therefore, all other shipping APIs available for local shipping may be omitted in shippingOptionsList .

urlParameters
KeyValuePair · object[]

List of JSON-serialized Key:Value pairs denoting the values of the parameters specified in the respective Merchant’s REST API action URLs. For example, to instruct Global‑e to include “en-AU” locale in the SendOrderToMerchant call for this cart, urlParameters should include the following KeyValuePair: [{"Key":"locale", "Value":"en-AU"}] . In this example “locale” parameter should be configured for SendOrderToMerchant URL for this merchant on the Global‑e side.

userDetails
CartUserDetails · object

All available details of the user including all relevant addresses. If userDetails is not specified, then shippingDetails and billingDetails properties will be used instead. userDetails property can be used by merchants who support multiple shipping and/or multiple billing addresses in the user’s account.

vatRegistrationNumber
string

VAT Registration Number of the end customer’s business entity validated with the merchant.

webStoreCode
string

Code used on the merchant’s side to identify the web store where the current cart is originating. This code should be used when a multi-store setup is on the merchant’s site. Max length: 100

webStoreInstanceCode
string

Code used on the merchant’s side to identify the web store instance where the current cart is originating from. This code should be used in case of multi-store domains set up on the merchant’s site.